### File

`packages/components/eui-input-text/eui-input-text.component.ts`

### Description

A custom input text component that extends InputDirective and provides additional functionality such as validation states, clearable input, and loading states.

### Extends

`InputDirective`

### Implements

`OnInit` `OnDestroy` `DoCheck`

### Metadata

HostDirectives | `EuiClearableDirective` Inputs : euiClearable readonly disabled `EuiLoadingDirective` Inputs : euiLoading readonly
selector | `input[euiInputText]`
styleUrls | `./eui-input-text.scss`

### Index

###### Methods
getCssClasses
###### Inputs
isInvalid disabled euiDanger euiDisabled placeholder readonly
###### HostBindings
class
###### Accessors
class isInvalid

### Inputs

isInvalid
Type : `boolean`

disabled
Type : `boolean`

euiDanger
Type : `boolean`
Default value : `false`

euiDisabled
Type : `boolean`
Default value : `false`

placeholder
Type : `string | null`

readonly
Type : `any`

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

class
get `class()`
Gets the CSS classes for the component, including validation state classes Returns : `string`

isInvalid
get `isInvalid()`
Gets or sets the invalid state of the input When used with NgControl, this state is automatically managed based on control state Returns : `boolean`
set `isInvalid(state: BooleanInput)`
Parameters :
Name | Type | Optional | Description
state | `BooleanInput` | No | The invalid state to set
Returns : `void`

# results matching ""

# No results matching ""